/***
* Výňatek z knihy "HTML5 a CSS3", vydal Computer Press.
* Autorská práva ke kódu. Nesmí se použít jako materiály k výuce, 
* v kurzech, knihách, článcích a podobně. V případě dotazů nás kontaktujte.
* Ručíme, že kódy ke knize odpovídají svému účelu. 
* Více informací o knize najdete na http://knihy.cpress.cz/k1948.
***/

onmessage = function(udalost) {
  if(udalost.data === "začalo"){
    // Počítá počet smyček. Může dělat něco skvělého.
    for (var x = 1; x <= 100000; x++){
       postMessage(x);     
    }
  }
};

